> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytring.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Beneficiary

This API retrieves details of a specific beneficiary.

### Request Body

```json theme={null}
{
  "id": "string" // Beneficiary ID received in response to the Add Beneficiary API
}
```

### Responses

#### 200 OK

```json theme={null}
{
  "status": true,
  "beneficiary": {
    "name": "string",
    "email": "string",
    "phone": "string",
    "vpa": "string",
    "account": {
      "account_no": "string",
      "ifsc": "string"
    }
  }
}
```

#### 400 Bad Request

```json theme={null}
{
  "status": false,
  "error": {
    "message": "Invalid request",
    "code": 400
  }
}
```


## OpenAPI

````yaml POST /api/v2/payout/beneficiary/fetch
openapi: 3.1.0
info:
  title: Orchestration
  version: '1'
servers:
  - url: https://api.paytring.com
security:
  - sec0: []
paths:
  /api/v2/payout/beneficiary/fetch:
    post:
      summary: Fetch Beneficiary
      operationId: fetch-beneficiary
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - id
              properties:
                id:
                  type: string
                  description: beneficiary_id , you got in response of add beneficiary api
                  default: 5000193xxxxxxxxx
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "status": true,
                        "message": "Beneficiary Account Details Fetched successfully.",
                        "data": {
                            "beneficiary_id": 59113xxxxxxxxxxxx06,
                            "name": "Anxxxx",
                            "vpa": "4nxxxd@okhdfcbank",
                            "account_number": "91965xxxxxx3",
                            "ifsc": "PYTM0123456",
                            "phone": "965xxxxxx3",
                            "email": "a@mxxx.in",
                            "address": "Gurgaon"
                        }
                    }
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````